Bug 948106 (CVE-2013-1921) - CVE-2013-1921 JBoss PicketBox: Insecure storage of masked passwords
Summary: CVE-2013-1921 JBoss PicketBox: Insecure storage of masked passwords
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1921
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 948109 948147 948148 948149
Blocks: 948111 970481 980700 991853
TreeView+ depends on / blocked
 
Reported: 2013-04-04 03:28 UTC by Arun Babu Neelicattu
Modified: 2019-09-29 13:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-15 18:21:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1207 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:51:19 UTC
Red Hat Product Errata RHSA-2013:1208 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:50:25 UTC
Red Hat Product Errata RHSA-2013:1209 normal SHIPPED_LIVE Moderate: Red Hat JBoss Enterprise Application Platform 6.1.1 update 2013-09-04 22:50:19 UTC
Red Hat Product Errata RHSA-2013:1437 normal SHIPPED_LIVE Important: Red Hat JBoss Portal 6.1.0 update 2013-10-16 20:53:32 UTC
Red Hat Product Errata RHSA-2014:0029 normal SHIPPED_LIVE Important: Red Hat JBoss Data Grid 6.2.0 update 2014-01-15 22:45:50 UTC

Description Arun Babu Neelicattu 2013-04-04 03:28:16 UTC
The data file used by PicketBox Vault to store encrypted passwords contains a copy of its own admin key. The file is encrypted using only this admin key, not the corresponding JKS key. A local attacker with permission to read the vault data file could read the admin key from the file, and use it to decrypt the file and read the stored passwords stored in cleartext.

Comment 7 errata-xmlrpc 2013-09-04 18:55:06 UTC
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html

Comment 8 errata-xmlrpc 2013-09-04 18:57:59 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html

Comment 9 errata-xmlrpc 2013-09-04 19:02:39 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html

Comment 10 errata-xmlrpc 2013-10-16 16:56:27 UTC
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html

Comment 11 errata-xmlrpc 2014-01-15 17:46:06 UTC
This issue has been addressed in following products:

  Red Hat JBoss Data Grid 6.2.0

Via RHSA-2014:0029 https://rhn.redhat.com/errata/RHSA-2014-0029.html


Note You need to log in before you can comment on or make changes to this bug.